petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMShellSetMatrix

sets a template matrix associated with the DMShell

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetMatrix(DM dm,Mat J)

Collective Many br

### Input Arguments

| dm | - shell DM Many br
| J | - template matrix Many br

Many br

### See Also

DMCreateMatrix(), DMShellSetCreateMatrix(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages